Debian Bug report logs - #521952
jbofihe: FTBFS: 'STAG_BO' undeclared

version graph

Package: jbofihe; Maintainer for jbofihe is Theodore Reed <treed@surreality.us>; Source for jbofihe is src:jbofihe.

Reported by: Daniel Schepler <dschepler@gmail.com>

Date: Tue, 31 Mar 2009 00:15:02 UTC

Severity: serious

Tags: patch

Found in version jbofihe/0.38-5

Fixed in version jbofihe/0.38-5.1

Done: Michael Banck <mbanck@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Theodore Reed <treed@surreality.us>:
Bug#521952; Package jbofihe. (Tue, 31 Mar 2009 00:15:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Daniel Schepler <schepler@math.berkeley.edu>:
New Bug report received and forwarded. Copy sent to Theodore Reed <treed@surreality.us>. (Tue, 31 Mar 2009 00:15:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Daniel Schepler <schepler@math.berkeley.edu>
To: submit@bugs.debian.org
Subject: jbofihe: FTBFS: 'STAG_BO' undeclared
Date: Mon, 30 Mar 2009 17:13:10 -0700
Package: jbofihe
Version: 0.38-5
Severity: serious

From my pbuilder build log:

...
bison -v -d -p stag_ stag.y
cp stag.tab.h stag.h
gcc -O2  -DHAVE_MMAP=1 -DDEFAULT_DICTIONARY=\"/usr/lib/jbofihe/smujmaji.dat\" -c categ.c
categ.c: In function 'categorize_jek':
categ.c:64: warning: incompatible implicit declaration of built-in function 'strcpy'
categ.c:64: warning: incompatible implicit declaration of built-in function 'strlen'
categ.c: In function 'categorize_gihek':
categ.c:104: warning: incompatible implicit declaration of built-in function 'strcpy'
categ.c:104: warning: incompatible implicit declaration of built-in function 'strlen'
...
categ.c: In function 'stag_lex':
categ.c:562: error: 'STAG_BO' undeclared (first use in this function)
categ.c:562: error: (Each undeclared identifier is reported only once
categ.c:562: error: for each function it appears in.)
categ.c:563: error: 'STAG_KE' undeclared (first use in this function)
categ.c:564: error: 'STAG_BAI' undeclared (first use in this function)
categ.c:565: error: 'STAG_BIhI' undeclared (first use in this function)
...
make[1]: *** [categ.o] Error 1
make[1]: Leaving directory `/tmp/buildd/jbofihe-0.38'
make: *** [build-stamp] Error 2
dpkg-buildpackage: failure: debian/rules build gave error exit status 2
-- 
Daniel Schepler





Information forwarded to debian-bugs-dist@lists.debian.org, Theodore Reed <treed@surreality.us>:
Bug#521952; Package jbofihe. (Mon, 06 Apr 2009 00:54:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to peter green <plugwash@p10link.net>:
Extra info received and forwarded to list. Copy sent to Theodore Reed <treed@surreality.us>. (Mon, 06 Apr 2009 00:54:06 GMT) Full text and rfc822 format available.

Message #10 received at 521952@bugs.debian.org (full text, mbox):

From: peter green <plugwash@p10link.net>
To: 521952@bugs.debian.org
Cc: control@bugs.debian.org
Subject: re: jbofihe: FTBFS: 'STAG_BO' undeclared
Date: Mon, 06 Apr 2009 01:51:29 +0100
[Message part 1 (text/plain, inline)]
tags 521952 +patch
thanks

The flood of "incompatible implicit declaration" messages is just a 
missing #include, trivial to fix.

The STAG_??? issue seems to be caused by a change in bison behaviour, 
the old version declared those names both as names in an enum AND as 
#defines. The newer version declares them only as names in an enum.

The trouble is that stag.c includes headers for two different bison 
generated parsers (stag.h and rpc_tab.h) theese have the same name for 
the enum and the same name for an ifdef gaurding against multiple 
declarations of the enum in the case of multiple inclusions. So only one 
of the two enums gets defined and there are a load of missing identifiers.

The attached patch adds missing includes, works arround the STAG_??? 
issue with a little sed magic and adds -Werror to the cflags (I added 
this to find issues with further missing includes and decided I may as 
well leave it in). It builds successfully but has not been tested.
[jbofihe.patch (text/x-diff, inline)]
diff -ur jbofihe-0.38/categ.c jbofihe-0.38.new/categ.c
--- jbofihe-0.38/categ.c	2001-09-15 23:10:37.000000000 +0100
+++ jbofihe-0.38.new/categ.c	2009-04-06 01:08:12.000000000 +0100
@@ -31,6 +31,7 @@
 #include "rpc_tab.h"
 #include "functions.h"
 #include "stag.h"
+#include <string.h>
 
 /*++++++++++++++++++++++++++++++
   Look for any cmavo of selma'o JA and back up to where the 'jek'
diff -ur jbofihe-0.38/debian/rules jbofihe-0.38.new/debian/rules
--- jbofihe-0.38/debian/rules	2009-04-06 01:45:01.000000000 +0100
+++ jbofihe-0.38.new/debian/rules	2009-04-06 01:47:53.000000000 +0100
@@ -23,9 +23,14 @@
 
 	ln -sf /usr/share/lojban/lujvo.txt .
 	ln -sf /usr/share/lojban/NORALUJV.txt .
-	PATH=`pwd`/bin:$$PATH \
-		$(MAKE) all
 
+	#work arround an issue with including multiple bision parsers in one
+	#C source file
+	PATH=`pwd`/bin:$$PATH $(MAKE) stag.h
+	sed -i s/YYTOKENTYPE/STAGYYTOKENTYPE/ stag.h
+	sed -i s/yytokentype/stagyytokentype/ stag.h
+
+	PATH=`pwd`/bin:$$PATH $(MAKE) all
 	touch build-stamp
 
 clean:
diff -ur jbofihe-0.38/functions.c jbofihe-0.38.new/functions.c
--- jbofihe-0.38/functions.c	2001-09-15 23:10:39.000000000 +0100
+++ jbofihe-0.38.new/functions.c	2009-04-06 01:37:07.000000000 +0100
@@ -25,6 +25,7 @@
 #include <assert.h>
 #include <stdlib.h>
 #include <ctype.h>
+#include <string.h>
 #include "functions.h"
 #include "nonterm.h"
 #include "rpc_tab.h"
diff -ur jbofihe-0.38/Makefile.in jbofihe-0.38.new/Makefile.in
--- jbofihe-0.38/Makefile.in	2009-04-06 01:45:01.000000000 +0100
+++ jbofihe-0.38.new/Makefile.in	2009-04-06 01:35:18.000000000 +0100
@@ -30,7 +30,7 @@
 CMAFIHE_LDOPTS=@@CMAFIHE_LDOPTS@@
 
 CC=gcc
-CFLAGS= @@OPTDEBUG@@ @@DEFINES@@ -DDEFAULT_DICTIONARY=\"$(DICTIONARY)\"
+CFLAGS= -Werror @@OPTDEBUG@@ @@DEFINES@@ -DDEFAULT_DICTIONARY=\"$(DICTIONARY)\"
 
 OBJS2 = main.o lex1.o lex2.o cmavotab.o rpc_tab.o functions.o \
         categ.o nonterm.o tree.o translate.o latex.o \
diff -ur jbofihe-0.38/morf.c jbofihe-0.38.new/morf.c
--- jbofihe-0.38/morf.c	2001-09-15 23:10:40.000000000 +0100
+++ jbofihe-0.38.new/morf.c	2009-04-06 01:43:58.000000000 +0100
@@ -32,6 +32,8 @@
  * 
  *********************************************************************/
 
+#include <stdlib.h>
+
 #ifdef TEST_MORF
 #include <stdio.h>
 #include <string.h>
Only in jbofihe-0.38.new: morf_enc.err

Tags added: patch Request was from peter green <plugwash@p10link.net> to control@bugs.debian.org. (Mon, 06 Apr 2009 00:54:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Theodore Reed <treed@surreality.us>:
Bug#521952; Package jbofihe. (Mon, 06 Apr 2009 05:00:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Theodore Reed <ted.reed@gmail.com>:
Extra info received and forwarded to list. Copy sent to Theodore Reed <treed@surreality.us>. (Mon, 06 Apr 2009 05:00:09 GMT) Full text and rfc822 format available.

Message #17 received at 521952@bugs.debian.org (full text, mbox):

From: Theodore Reed <ted.reed@gmail.com>
To: peter green <plugwash@p10link.net>, 521952@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#521952: jbofihe: FTBFS: 'STAG_BO' undeclared
Date: Sun, 5 Apr 2009 21:56:56 -0700
On Sun, Apr 5, 2009 at 17:51, peter green <plugwash@p10link.net> wrote:
> tags 521952 +patch
> thanks

Wow, thanks. That was fast. I hadn't even had a chance to look at it
yet, as I was moving this week/weekend. I'll try out the patch with
some testers.

-
Theodore Reed




Changed Bug submitter from Daniel Schepler <schepler@math.berkeley.edu> to Daniel Schepler <dschepler@gmail.com>. Request was from Daniel Schepler <dschepler@gmail.com> to control@bugs.debian.org. (Thu, 09 Apr 2009 23:57:20 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Theodore Reed <treed@surreality.us>:
Bug#521952; Package jbofihe. (Sat, 28 Nov 2009 23:42:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Banck <mbanck@debian.org>:
Extra info received and forwarded to list. Copy sent to Theodore Reed <treed@surreality.us>. (Sat, 28 Nov 2009 23:42:03 GMT) Full text and rfc822 format available.

Message #24 received at 521952@bugs.debian.org (full text, mbox):

From: Michael Banck <mbanck@debian.org>
To: 521952@bugs.debian.org
Subject: NMU interdiff (was: Re: jbofihe: FTBFS: 'STAG_BO' undeclared)
Date: Sun, 29 Nov 2009 00:37:12 +0100
[Message part 1 (text/plain, inline)]
Hi,

I have uploaded the attached patch as NMU.


Cheers,

Michael
[interdiff (text/plain, attachment)]

Reply sent to Michael Banck <mbanck@debian.org>:
You have taken responsibility. (Sun, 29 Nov 2009 00:06:05 GMT) Full text and rfc822 format available.

Notification sent to Daniel Schepler <dschepler@gmail.com>:
Bug acknowledged by developer. (Sun, 29 Nov 2009 00:06:05 GMT) Full text and rfc822 format available.

Message #29 received at 521952-close@bugs.debian.org (full text, mbox):

From: Michael Banck <mbanck@debian.org>
To: 521952-close@bugs.debian.org
Subject: Bug#521952: fixed in jbofihe 0.38-5.1
Date: Sun, 29 Nov 2009 00:03:17 +0000
Source: jbofihe
Source-Version: 0.38-5.1

We believe that the bug you reported is fixed in the latest version of
jbofihe, which is due to be installed in the Debian FTP archive:

jbofihe_0.38-5.1.diff.gz
  to main/j/jbofihe/jbofihe_0.38-5.1.diff.gz
jbofihe_0.38-5.1.dsc
  to main/j/jbofihe/jbofihe_0.38-5.1.dsc
jbofihe_0.38-5.1_i386.deb
  to main/j/jbofihe/jbofihe_0.38-5.1_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 521952@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Michael Banck <mbanck@debian.org> (supplier of updated jbofihe package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: RIPEMD160

Format: 1.8
Date: Sun, 29 Nov 2009 00:34:26 +0100
Source: jbofihe
Binary: jbofihe
Architecture: source i386
Version: 0.38-5.1
Distribution: unstable
Urgency: low
Maintainer: Theodore Reed <treed@surreality.us>
Changed-By: Michael Banck <mbanck@debian.org>
Description: 
 jbofihe    - A parser for the lojban language
Closes: 521952
Changes: 
 jbofihe (0.38-5.1) unstable; urgency=low
 .
   * Non-maintainer upload.
   * Applied patch by Peter Green (except for the -Werror changes) to fix build
     error. (closes: #521952)
Checksums-Sha1: 
 40bc990bdecfb3bdc50e442066f9059f8e9fbc9e 983 jbofihe_0.38-5.1.dsc
 33f8ae5509bcde7295ac394cdc81727f995c85e5 4375 jbofihe_0.38-5.1.diff.gz
 3f8c11c26331ac2f26d41d54de7319e75edcb692 593546 jbofihe_0.38-5.1_i386.deb
Checksums-Sha256: 
 94e5b85ccf5ac372d73e10b68fead2ca94a65ca6ff19cd06b195fb4dfde77705 983 jbofihe_0.38-5.1.dsc
 ee9dfa71759d12666af5419273d306a496ebe2c4c924e7313bab9d833482da82 4375 jbofihe_0.38-5.1.diff.gz
 7189e42b9f8b6faa242174b2924f6d8578a032517189770e2af13bf45ddca7d7 593546 jbofihe_0.38-5.1_i386.deb
Files: 
 03b38a69ca025ddbc44a32ed5a98a144 983 misc optional jbofihe_0.38-5.1.dsc
 484c5f9f5470ec9c6cebab9a4b9793c7 4375 misc optional jbofihe_0.38-5.1.diff.gz
 a728be4407acd75f33daa5d11c3ebbf7 593546 misc optional jbofihe_0.38-5.1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iD8DBQFLEbQLmHaJYZ7RAb8RA+2vAKDMyev51eJszUoFdXDnjlxzNHqqvgCgtJcg
pLUAE2K1O5ZxZOXuw0XTOow=
=V5Ry
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 07 Mar 2011 09:10:49 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 01:24:56 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.